Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class DelegatingKeyboardListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<KeyboardListener>
                  com.google.gwt.user.client.ui.KeyboardListenerCollection
                      com.google.gwt.user.client.ui.DelegatingKeyboardListenerCollection

All Implemented Interfaces:
  KeyboardListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<KeyboardListener>, java.util.Collection<KeyboardListener>, java.util.EventListener, java.util.List<KeyboardListener>, java.util.RandomAccess

    public class DelegatingKeyboardListenerCollection

extends KeyboardListenerCollection
implements KeyboardListener

`KeyboardListenerCollection` used to correctly hook up event listeners to the composite's wrapped widget.

For example, `Composite` widgets often need to listen to events generated on their wrapped widget. Upon the firing of a wrapped widget's event, the composite widget must fire its own listeners with itself as the source of the event. To use a `DelegatingKeyboardListenerCollection`, simply use the `DelegatingKeyboardListenerCollection` instead of a `KeyboardListenerCollection`. For example, in `SuggestBox`, the following code is used to listen to keyboard events on the `SuggestBox`'s underlying widget.

      public void addKeyboardListener(KeyboardListener listener) {
        if (keyboardListeners == null) {
          keyboardListeners = new DelegatingKeyboardListenerCollection(this, box);
        }
        keyboardListeners.add(listener);
      }

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface com.google.gwt.user.client.ui.KeyboardListener
`KEY_ALT, KEY_BACKSPACE, KEY_CTRL, KEY_DELETE, KEY_DOWN, KEY_END, KEY_ENTER, KEY_ESCAPE, KEY_HOME, KEY_LEFT, KEY_PAGEDOWN, KEY_PAGEUP, KEY_RIGHT, KEY_SHIFT, KEY_TAB, KEY_UP, MODIFIER_ALT, MODIFIER_CTRL, MODIFIER_META, MODIFIER_SHIFT`

Constructor Summary
`DelegatingKeyboardListenerCollection(Widget owner, SourcesKeyboardEvents delegatedTo)` Constructor for `DelegatingKeyboardListenerCollection`.

Method Summary
`void` | `onKeyDown(Widget sender, char keyCode, int modifiers)` Fired when the user depresses a physical key.
`void` | `onKeyPress(Widget sender, char keyCode, int modifiers)` Fired when a keyboard action generates a character.
`void` | `onKeyUp(Widget sender, char keyCode, int modifiers)` Fired when the user releases a physical key.

Methods inherited from class com.google.gwt.user.client.ui.KeyboardListenerCollection
`fireKeyboardEvent, fireKeyDown, fireKeyPress, fireKeyUp, getKeyboardModifiers`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### DelegatingKeyboardListenerCollection

    public DelegatingKeyboardListenerCollection(Widget owner,
                                                SourcesKeyboardEvents delegatedTo)

  Constructor for `DelegatingKeyboardListenerCollection`.

  Parameters:
    `owner` - owner of listeners
    `delegatedTo` - source of events

Method Detail

### onKeyDown

    public void onKeyDown(Widget sender,
                          char keyCode,
                          int modifiers)

  Description copied from interface: `KeyboardListener`
  Fired when the user depresses a physical key.

  Specified by:
    `onKeyDown` in interface `KeyboardListener`
  Parameters:
    `sender` - the widget that was focused when the event occurred.
    `keyCode` - the physical key that was depressed. Constants for this value are defined in this interface with the KEY prefix.
    `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

### onKeyPress

    public void onKeyPress(Widget sender,
                           char keyCode,
                           int modifiers)

  Description copied from interface: `KeyboardListener`
  Fired when a keyboard action generates a character. This occurs after onKeyDown and onKeyUp are fired for the physical key that was pressed.

  It should be noted that many browsers do not generate keypress events for non-printing keyCode values, such as `KeyboardListener.KEY_ENTER` or arrow keys. These keyCodes can be reliably captured either with `KeyboardListener.onKeyDown(Widget, char, int)` or `KeyboardListener.onKeyUp(Widget, char, int)`.

  Specified by:
    `onKeyPress` in interface `KeyboardListener`
  Parameters:
    `sender` - the widget that was focused when the event occurred.
    `keyCode` - the Unicode character that was generated by the keyboard action.
    `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

### onKeyUp

    public void onKeyUp(Widget sender,
                        char keyCode,
                        int modifiers)

  Description copied from interface: `KeyboardListener`
  Fired when the user releases a physical key.

  Specified by:
    `onKeyUp` in interface `KeyboardListener`
  Parameters:
    `sender` - the widget that was focused when the event occurred.
    `keyCode` - the physical key that was released. Constants for this value are defined in this interface with the KEY prefix.
    `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD